Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

Things to watch for when upgrading to 10.1 Install
When you upgrade from 10.0.4 to 10.1 using the CD, there are a few things that may occur:

1) Your Internet Explorer and Late Breaking News icons will turn into question marks (meaning they are now referencing obsolete pointers). You can just drag these off to the desktop to erase them, and drag the new Internet Explorer 5.1 icon from Applications onto the dock. <confirmed by Apple Support>

2) The Preferences for Address Book becomes grayed-out and inaccessible. Moving/deleting the old plist and restarting the application to create a new one doesn't solve this problem. <confirmed by Apple Support>

3) I have been unable to compile anything since the upgrade (compiling main(){return(0);} errors with "/usr/bin/ld: /usr/lib/libSystem.dylib load command 6 unknown cmd field") <under investigation by Apple Support>

Note: at this moment the new Developer Tools CD will only be available to people who pay their $20 or buy a 10.1 package after Saturday {i.e., not for free giveaway in stores} and is currently unavailable for download -- I only had the old Developer Tools installed before the upgrade.
    •    
  • Currently 5.00 / 5
  • 1
  • 2
  • 3
  • 4
  • 5
  (1 vote cast)
 
[2,789 views]  

Things to watch for when upgrading to 10.1 | 3 comments | Create New Account
Click here to return to the 'Things to watch for when upgrading to 10.1' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
You need the new Dev. Tools CD for 10.1
Authored by: Bryan Chang on Sep 28, '01 01:18:38AM

The Developer Tools CD for Mac OS X 10.0.x does not compatible with Mac OS X 10.1, you will need to get install the new Dev. Tools before you can compile any thing under 10.1. I think sometime next week Apple probably will make the Devloper Tools CD image available via ADC web site, so stay tuned.



[ Reply to This | # ]
Workaround for compile problems
Authored by: hanssolo on Sep 28, '01 10:47:02PM

The following seems to be a temporary work-around for the compile (linking)
problems with gcc and 10.1:

delete the symbolic link libSystem.dylib in /usr/lib and make a new one pointing
to libSystem.B_debug.dylib instead of libSystem.B.dylib

Cheers,




[ Reply to This | # ]
Dev tools avail from ADC
Authored by: db on Oct 04, '01 05:39:42PM

The OSX.1 developer tools are available from ADC now. Can burn .dmg file with diskCopy.



[ Reply to This | # ]